#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	Passwd
Summary:	Crypt::Passwd - interface to the UFC-Crypt library
Summary(pl.UTF-8):	Crypt::Passwd - interfejs do biblioteki UFC-Crypt
Name:		perl-Crypt-Passwd
Version:	0.03
Release:	20
# same as perl and/or UFC-Crypt library
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	66d9794442e27f33ad05685035082aa9
URL:		http://search.cpan.org/dist/Crypt-Passwd/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Digest-MD5
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::Passwd Perl module provides an interface layer between Perl 5
and Michael Glad's UFC Crypt library.

%description -l pl.UTF-8
Moduł Perla Crypt::Passwd udostępnia warstwę interfejsu pomiędzy
Perlem 5 a biblioteką UFC Crypt Michaela Glada.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Crypt/Passwd.pm
%dir %{perl_vendorarch}/auto/Crypt/Passwd
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/Passwd/Passwd.so
%{_mandir}/man3/*
%changelog
* Sun Oct 30 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Crypt-Passwd.git;a=log;h=master

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> dc0f44a
- rebuild with perl 5.24.0
- release 20 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 57950c3
- release 19 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 3ca40c8
- x32 rebuild
- release 18 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 3cfd93a
- release 17 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> ea52d66
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 58ca894
- rebuild for perl 5.20
- release 16 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> bb7a327
- rebuild with perl 5.18.0
- release 15 (by relup.sh)

* Thu Oct 06 2011 lisu <lisu@pld-linux.org> 4d91bbb
- rel 14

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 1ee72d8
- release 13

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 8b290ed
- release 12

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 05ddcc9
- release 11

* Sat Mar 15 2008 Jakub Bogusz <qboosh@pld-linux.org> 5db6a01
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> c38e29d
- rel 10

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> eb2939a
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> e672b7e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8dcf855
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 4dd1837
- formatting

* Fri May 07 2004 ankry <ankry@pld-linux.org> 4453167
- rel. 9

* Thu May 06 2004 ankry <ankry@pld-linux.org> 0dcbe33
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> 8c10836
- added tests

